echo off
rem ------------------------------------------------------------------------
rem USBBSDOR passes these parameters to SEND.BAT
rem %1 = baud rate
rem %2 = com port
rem %3 = file name to send
rem %4 = protocol choice (letter)
rem ------------------------------------------------------------------------
rem  If using non-standard COM ports (COM ports other than 1 or 2), trap %2
rem  to bring up an alternate SEND.BAT which contains this file PLUS the
rem  non-standard COM info which DSZ will need. For example:
rem  if "%2" == "3" SEND3.BAT %1 %2 %3 %4
rem  if "%2" == "4" SEND4.BAT %1 %2 %3 %4
rem  and replace: port %2  (below) with: portx ADDR,IRQ (where ADDR and IRQ
rem  equal each node's non-standard COM port's Address and IRQ).
rem ------------------------------------------------------------------------

if "%4" == "X" goto :Xmodem
if "%4" == "C" goto :Xmodem
if "%4" == "O" goto :1Kxmodem
if "%4" == "F" goto :1KxmodemG
if "%4" == "Y" goto :Ymodem
if "%4" == "G" goto :YmodemG
if "%4" == "Z" goto :Zmodem
goto :end

:Xmodem
DSZ port %2 pB4096 sx %3
goto :end

:1Kxmodem
DSZ port %2 pB4096 sx -k %3
goto :end

:1KxmodemG
DSZ port %2 pB4096 sx -k -g %3
goto :end

:Ymodem
DSZ port %2 pB4096 sb -k %3
goto :end

:YmodemG
DSZ port %2 pB4096 sb -k %3
goto :end

:Zmodem
DSZ port %2 pB4096 sz -m %3

:end
